Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ant
[Java] Class AntProjectPropertiesDelegate

    java.lang.Object
      java.util.Dictionary
          java.util.Hashtable
              org.codehaus.groovy.ant.AntProjectPropertiesDelegate

    public class AntProjectPropertiesDelegate
    extends java.util.Hashtable

Authors:
  Guillaume Laforge

Constructor Summary
`AntProjectPropertiesDelegate(org.apache.tools.ant.Project project)`
`AntProjectPropertiesDelegate(java.util.Map t)`

Method Summary
`void` | `clear()` throws: UnsupportedOperationException is always thrown when this method is invoked.
`java.lang.Object` | `clone()`
`boolean` | `contains(java.lang.Object value)`
`boolean` | `containsKey(java.lang.Object key)`
`boolean` | `containsValue(java.lang.Object value)`
`java.util.Enumeration` | `elements()`
`java.util.Set` | `entrySet()`
`boolean` | `equals(java.lang.Object o)`
`java.lang.Object` | `get(java.lang.Object key)`
`int` | `hashCode()`
`boolean` | `isEmpty()`
`java.util.Set` | `keySet()`
`java.util.Enumeration` | `keys()`
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)`
`void` | `putAll(java.util.Map t)`
`java.lang.Object` | `remove(java.lang.Object key)` throws: UnsupportedOperationException is always thrown when this method is invoked.
`int` | `size()`
`java.lang.String` | `toString()`
`java.util.Collection` | `values()`

Methods inherited from class java.util.Hashtable
java.util.Hashtable#get(java.lang.Object), java.util.Hashtable#put(java.lang.Object, java.lang.Object), java.util.Hashtable#equals(java.lang.Object), java.util.Hashtable#toString(), java.util.Hashtable#values(), java.util.Hashtable#hashCode(), java.util.Hashtable#clone(), java.util.Hashtable#clear(), java.util.Hashtable#size(), java.util.Hashtable#isEmpty(), java.util.Hashtable#contains(java.lang.Object), java.util.Hashtable#remove(java.lang.Object), java.util.Hashtable#entrySet(), java.util.Hashtable#putAll(java.util.Map), java.util.Hashtable#elements(), java.util.Hashtable#keys(), java.util.Hashtable#keySet(), java.util.Hashtable#containsValue(java.lang.Object), java.util.Hashtable#containsKey(java.lang.Object), java.util.Hashtable#wait(long), java.util.Hashtable#wait(long, int), java.util.Hashtable#wait(), java.util.Hashtable#getClass(), java.util.Hashtable#notify(), java.util.Hashtable#notifyAll()

Methods inherited from class java.util.Dictionary
java.util.Dictionary#get(java.lang.Object), java.util.Dictionary#put(java.lang.Object, java.lang.Object), java.util.Dictionary#size(), java.util.Dictionary#isEmpty(), java.util.Dictionary#remove(java.lang.Object), java.util.Dictionary#elements(), java.util.Dictionary#keys(), java.util.Dictionary#wait(long), java.util.Dictionary#wait(long, int), java.util.Dictionary#wait(), java.util.Dictionary#equals(java.lang.Object), java.util.Dictionary#toString(), java.util.Dictionary#hashCode(), java.util.Dictionary#getClass(), java.util.Dictionary#notify(), java.util.Dictionary#notifyAll()

Constructor Detail

### AntProjectPropertiesDelegate

    public AntProjectPropertiesDelegate(org.apache.tools.ant.Project project)

### AntProjectPropertiesDelegate

    public AntProjectPropertiesDelegate(java.util.Map t)

Method Detail

### clear

    public void clear()

  throws:
    UnsupportedOperationException is always thrown when this method is invoked. The Project properties are immutable.

### clone

    public java.lang.Object clone()

### contains

    public boolean contains(java.lang.Object value)

### containsKey

    public boolean containsKey(java.lang.Object key)

### containsValue

    public boolean containsValue(java.lang.Object value)

### elements

    public java.util.Enumeration elements()

### entrySet

    public java.util.Set entrySet()

### equals

    public boolean equals(java.lang.Object o)

### get

    public java.lang.Object get(java.lang.Object key)

### hashCode

    public int hashCode()

### isEmpty

    public boolean isEmpty()

### keySet

    public java.util.Set keySet()

### keys

    public java.util.Enumeration keys()

### put

    public java.lang.Object put(java.lang.Object key, java.lang.Object value)

### putAll

    public void putAll(java.util.Map t)

### remove

    public java.lang.Object remove(java.lang.Object key)

  throws:
    UnsupportedOperationException is always thrown when this method is invoked. The Project properties are immutable.

### size

    public int size()

### toString

    public java.lang.String toString()

### values

    public java.util.Collection values()

Groovy Documentation